<?php
/* Autor...: William L. Taype Perez */
/* Esquema.: COM_ImportacionCabecera.xml */
/* Generado: 2021-08-14 18:19:08 */

/* Mantenimiento de los registros de la tabla COM_ImportacionCabecera */
abstract class BaseCOM_ImportacionCabeceraDP extends COM_ImportacionCabeceraBV
{
    /* Constructor ( Establece los valores desde un objeto COM_ImportacionCabeceraBN ) */
    public function __construct( COM_ImportacionCabeceraBN $o_COM_ImportacionCabeceraBN = null )
    {
        parent::__construct();
        if ( !is_null( $o_COM_ImportacionCabeceraBN ) )
        {
            $this->setByBN( $o_COM_ImportacionCabeceraBN );
        }
    }

    public $b_Debug = false;

    public function getDebug()
    {
        if( SF_DEBUG )
        {
            $this->b_Debug = true;
        }
        return $this->b_Debug;
    }

    public function setDebug( $v )
    {
        $this->b_Debug = $v;
    }

    /* Establece los valores desde un objeto COM_ImportacionCabeceraBN */
    public function setByBN( COM_ImportacionCabeceraBN $o_COM_ImportacionCabeceraBN )
    {
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getIdOrdenCompra() ) )
        {
            $this->setIdOrdenCompra( $o_COM_ImportacionCabeceraBN->getIdOrdenCompra() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getDuaSerie() ) )
        {
            $this->setDuaSerie( $o_COM_ImportacionCabeceraBN->getDuaSerie() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getDuaNumero() ) )
        {
            $this->setDuaNumero( $o_COM_ImportacionCabeceraBN->getDuaNumero() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getDuaSerieNumero() ) )
        {
            $this->setDuaSerieNumero( $o_COM_ImportacionCabeceraBN->getDuaSerieNumero() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getDuaPagoFecha() ) )
        {
            $this->setDuaPagoFecha( $o_COM_ImportacionCabeceraBN->getDuaPagoFecha() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getInvoiceSerie() ) )
        {
            $this->setInvoiceSerie( $o_COM_ImportacionCabeceraBN->getInvoiceSerie() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getInvoiceNumero() ) )
        {
            $this->setInvoiceNumero( $o_COM_ImportacionCabeceraBN->getInvoiceNumero() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getInvoiceSerieNumero() ) )
        {
            $this->setInvoiceSerieNumero( $o_COM_ImportacionCabeceraBN->getInvoiceSerieNumero() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getInvoiceFecha() ) )
        {
            $this->setInvoiceFecha( $o_COM_ImportacionCabeceraBN->getInvoiceFecha() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getDuaNroOrden() ) )
        {
            $this->setDuaNroOrden( $o_COM_ImportacionCabeceraBN->getDuaNroOrden() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getIncotermsCod() ) )
        {
            $this->setIncotermsCod( $o_COM_ImportacionCabeceraBN->getIncotermsCod() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getIncotermsDesc() ) )
        {
            $this->setIncotermsDesc( $o_COM_ImportacionCabeceraBN->getIncotermsDesc() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getPaisProcedenciaCod() ) )
        {
            $this->setPaisProcedenciaCod( $o_COM_ImportacionCabeceraBN->getPaisProcedenciaCod() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getPaisProcedenciaDesc() ) )
        {
            $this->setPaisProcedenciaDesc( $o_COM_ImportacionCabeceraBN->getPaisProcedenciaDesc() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalFOB() ) )
        {
            $this->setTotalFOB( $o_COM_ImportacionCabeceraBN->getTotalFOB() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalTransPuerto() ) )
        {
            $this->setTotalTransPuerto( $o_COM_ImportacionCabeceraBN->getTotalTransPuerto() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalEmicionBL() ) )
        {
            $this->setTotalEmicionBL( $o_COM_ImportacionCabeceraBN->getTotalEmicionBL() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalOtrosGastosEXW() ) )
        {
            $this->setTotalOtrosGastosEXW( $o_COM_ImportacionCabeceraBN->getTotalOtrosGastosEXW() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalFlete() ) )
        {
            $this->setTotalFlete( $o_COM_ImportacionCabeceraBN->getTotalFlete() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalSeguro() ) )
        {
            $this->setTotalSeguro( $o_COM_ImportacionCabeceraBN->getTotalSeguro() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalCIF() ) )
        {
            $this->setTotalCIF( $o_COM_ImportacionCabeceraBN->getTotalCIF() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTipoCambio() ) )
        {
            $this->setTipoCambio( $o_COM_ImportacionCabeceraBN->getTipoCambio() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalAdValorem() ) )
        {
            $this->setTotalAdValorem( $o_COM_ImportacionCabeceraBN->getTotalAdValorem() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalIPM2() ) )
        {
            $this->setTotalIPM2( $o_COM_ImportacionCabeceraBN->getTotalIPM2() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalIGV16() ) )
        {
            $this->setTotalIGV16( $o_COM_ImportacionCabeceraBN->getTotalIGV16() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getSumaTotalIGV() ) )
        {
            $this->setSumaTotalIGV( $o_COM_ImportacionCabeceraBN->getSumaTotalIGV() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalServicioDespacho() ) )
        {
            $this->setTotalServicioDespacho( $o_COM_ImportacionCabeceraBN->getTotalServicioDespacho() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getTotalPercepcion() ) )
        {
            $this->setTotalPercepcion( $o_COM_ImportacionCabeceraBN->getTotalPercepcion() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getPorIGV() ) )
        {
            $this->setPorIGV( $o_COM_ImportacionCabeceraBN->getPorIGV() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getEstado() ) )
        {
            $this->setEstado( $o_COM_ImportacionCabeceraBN->getEstado() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getUsuarioCreacion() ) )
        {
            $this->setUsuarioCreacion( $o_COM_ImportacionCabeceraBN->getUsuarioCreacion() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getFechaCreacion() ) )
        {
            $this->setFechaCreacion( $o_COM_ImportacionCabeceraBN->getFechaCreacion() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getUsuarioModificacion() ) )
        {
            $this->setUsuarioModificacion( $o_COM_ImportacionCabeceraBN->getUsuarioModificacion() );
        }
        if ( !is_null( $o_COM_ImportacionCabeceraBN->getFechaModificacion() ) )
        {
            $this->setFechaModificacion( $o_COM_ImportacionCabeceraBN->getFechaModificacion() );
        }
    }

    /* Graba un nuevo registro */
    public function save()
    {
        $this->validateRecord();
        $o_COM_ImportacionCabeceraFN = new COM_ImportacionCabeceraFN();
        $o_COM_ImportacionCabeceraBN = $o_COM_ImportacionCabeceraFN->selectByPk( $this->getIdOrdenCompra() );
        if ( is_null( $o_COM_ImportacionCabeceraBN ) )
        {
            $s_SQLQuery1 = "INSERT INTO COM_ImportacionCabecera ( ";
            $s_SQLQuery2 = "VALUES ( ";
            $s_Separator = "";
            if ( !is_null( $this->getIdOrdenCompra() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IdOrdenCompra";
                $s_SQLQuery2 .= $s_Separator."".$this->getIdOrdenCompra()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaSerie() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DuaSerie";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDuaSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DuaNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDuaNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaSerieNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DuaSerieNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDuaSerieNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaPagoFecha() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DuaPagoFecha";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDuaPagoFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceSerie() ) )
            {
                $s_SQLQuery1 .= $s_Separator."InvoiceSerie";
                $s_SQLQuery2 .= $s_Separator."'".$this->getInvoiceSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."InvoiceNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getInvoiceNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceSerieNumero() ) )
            {
                $s_SQLQuery1 .= $s_Separator."InvoiceSerieNumero";
                $s_SQLQuery2 .= $s_Separator."'".$this->getInvoiceSerieNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceFecha() ) )
            {
                $s_SQLQuery1 .= $s_Separator."InvoiceFecha";
                $s_SQLQuery2 .= $s_Separator."'".$this->getInvoiceFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaNroOrden() ) )
            {
                $s_SQLQuery1 .= $s_Separator."DuaNroOrden";
                $s_SQLQuery2 .= $s_Separator."'".$this->getDuaNroOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIncotermsCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IncotermsCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIncotermsCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIncotermsDesc() ) )
            {
                $s_SQLQuery1 .= $s_Separator."IncotermsDesc";
                $s_SQLQuery2 .= $s_Separator."'".$this->getIncotermsDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisProcedenciaCod() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PaisProcedenciaCod";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPaisProcedenciaCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisProcedenciaDesc() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PaisProcedenciaDesc";
                $s_SQLQuery2 .= $s_Separator."'".$this->getPaisProcedenciaDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalFOB() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalFOB";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalFOB()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalTransPuerto() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalTransPuerto";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalTransPuerto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalEmicionBL() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalEmicionBL";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalEmicionBL()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalOtrosGastosEXW() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalOtrosGastosEXW";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalOtrosGastosEXW()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalFlete() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalFlete";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalFlete()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalSeguro() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalSeguro";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalSeguro()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalCIF() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalCIF";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalCIF()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TipoCambio";
                $s_SQLQuery2 .= $s_Separator."".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalAdValorem() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalAdValorem";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalAdValorem()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalIPM2() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalIPM2";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalIPM2()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalIGV16() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalIGV16";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalIGV16()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSumaTotalIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."SumaTotalIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getSumaTotalIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalServicioDespacho() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalServicioDespacho";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalServicioDespacho()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalPercepcion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."TotalPercepcion";
                $s_SQLQuery2 .= $s_Separator."".$this->getTotalPercepcion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPorIGV() ) )
            {
                $s_SQLQuery1 .= $s_Separator."PorIGV";
                $s_SQLQuery2 .= $s_Separator."".$this->getPorIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery1 .= $s_Separator."Estado";
                $s_SQLQuery2 .= $s_Separator."'".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaCreacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."UsuarioModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery1 .= $s_Separator."FechaModificacion";
                $s_SQLQuery2 .= $s_Separator."'".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery = $s_SQLQuery1." ) ".$s_SQLQuery2." );";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }
            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id ya esta registrado." );
        }
        return true;
    }

    /* Actualiza los datos del registro */
    public function update()
    {
        $this->validateRecord();
        if ( true )
        {
            $s_SQLQuery = "UPDATE COM_ImportacionCabecera SET ";
            $s_Separator = "";
            if ( !is_null( $this->getDuaSerie() ) )
            {
                $s_SQLQuery .= $s_Separator."DuaSerie = '".$this->getDuaSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."DuaNumero = '".$this->getDuaNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaSerieNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."DuaSerieNumero = '".$this->getDuaSerieNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaPagoFecha() ) )
            {
                $s_SQLQuery .= $s_Separator."DuaPagoFecha = '".$this->getDuaPagoFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceSerie() ) )
            {
                $s_SQLQuery .= $s_Separator."InvoiceSerie = '".$this->getInvoiceSerie()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."InvoiceNumero = '".$this->getInvoiceNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceSerieNumero() ) )
            {
                $s_SQLQuery .= $s_Separator."InvoiceSerieNumero = '".$this->getInvoiceSerieNumero()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getInvoiceFecha() ) )
            {
                $s_SQLQuery .= $s_Separator."InvoiceFecha = '".$this->getInvoiceFecha()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getDuaNroOrden() ) )
            {
                $s_SQLQuery .= $s_Separator."DuaNroOrden = '".$this->getDuaNroOrden()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIncotermsCod() ) )
            {
                $s_SQLQuery .= $s_Separator."IncotermsCod = '".$this->getIncotermsCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getIncotermsDesc() ) )
            {
                $s_SQLQuery .= $s_Separator."IncotermsDesc = '".$this->getIncotermsDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisProcedenciaCod() ) )
            {
                $s_SQLQuery .= $s_Separator."PaisProcedenciaCod = '".$this->getPaisProcedenciaCod()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPaisProcedenciaDesc() ) )
            {
                $s_SQLQuery .= $s_Separator."PaisProcedenciaDesc = '".$this->getPaisProcedenciaDesc()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalFOB() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalFOB = ".$this->getTotalFOB()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalTransPuerto() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalTransPuerto = ".$this->getTotalTransPuerto()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalEmicionBL() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalEmicionBL = ".$this->getTotalEmicionBL()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalOtrosGastosEXW() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalOtrosGastosEXW = ".$this->getTotalOtrosGastosEXW()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalFlete() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalFlete = ".$this->getTotalFlete()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalSeguro() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalSeguro = ".$this->getTotalSeguro()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalCIF() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalCIF = ".$this->getTotalCIF()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTipoCambio() ) )
            {
                $s_SQLQuery .= $s_Separator."TipoCambio = ".$this->getTipoCambio()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalAdValorem() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalAdValorem = ".$this->getTotalAdValorem()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalIPM2() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalIPM2 = ".$this->getTotalIPM2()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalIGV16() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalIGV16 = ".$this->getTotalIGV16()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getSumaTotalIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."SumaTotalIGV = ".$this->getSumaTotalIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalServicioDespacho() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalServicioDespacho = ".$this->getTotalServicioDespacho()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getTotalPercepcion() ) )
            {
                $s_SQLQuery .= $s_Separator."TotalPercepcion = ".$this->getTotalPercepcion()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getPorIGV() ) )
            {
                $s_SQLQuery .= $s_Separator."PorIGV = ".$this->getPorIGV()."";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getEstado() ) )
            {
                $s_SQLQuery .= $s_Separator."Estado = '".$this->getEstado()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioCreacion = '".$this->getUsuarioCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaCreacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaCreacion = '".$this->getFechaCreacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getUsuarioModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."UsuarioModificacion = '".$this->getUsuarioModificacion()."'";
                $s_Separator = ", ";
            }
            if ( !is_null( $this->getFechaModificacion() ) )
            {
                $s_SQLQuery .= $s_Separator."FechaModificacion = '".$this->getFechaModificacion()."'";
                $s_Separator = ", ";
            }
            $s_SQLQuery .= " WHERE  IdOrdenCompra = ".$this->getIdOrdenCompra().";";
            if( $this->getDebug() ){ pr( $s_SQLQuery ); }

            $o_Resource = Conexion::getConexion();
            $o_Statement = $o_Resource->createStatement();
            $o_Statement->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }

    /* Elimina el registro */
    public function delete()
    {
        $s_SQLQuery = "DELETE FROM COM_ImportacionCabecera WHERE  IdOrdenCompra = ".$this->getIdOrdenCompra().";";
        if( $this->getDebug() ){ pr( $s_SQLQuery ); }
        $o_Resource = Conexion::getConexion();
        $o_Statement = $o_Resource->createStatement();
        $o_Statement->executeQuery( $s_SQLQuery );
        return true;
    }

}
?>